<script>
import * as timeago from 'timeago.js';
import { GlTooltip } from '@gitlab/ui';
import GlMarkdown from './markdown.vue';
import { dateTimeMixin } from '../utils/datetime';

export default {
  components: {
    GlMarkdown,
    GlTooltip,
  },
  mixins: [dateTimeMixin],
  props: {
    note: {
      type: String,
      required: true,
    },
    createdAt: {
      type: String,
      required: true,
    },
  },
  computed: {
    postTime() {
      return `Posted ${timeago.format(this.createdAt)}`;
    },
  },
};
</script>

<template>
  <div class="gl-rounded-base gl-p-5 gl-mb-5 gl-border-1 gl-border-solid gl-border-gray-200">
    <gl-markdown :text="note" />
    <div ref="postedTime" class="gl-display-inline-block gl-mt-5 gl-font-sm gl-text-gray-700">
      {{ postTime }}
    </div>
    <gl-tooltip :target="() => $refs.postedTime">
      <div class="gl-display-block gl-align-items-center gl-font-sm">
        <div class="mb-1">{{ formatDateTime(createdAt) }}</div>
        <div>{{ formatDateTimeZone(createdAt) }}</div>
      </div>
    </gl-tooltip>
  </div>
</template>
